Subject: [bug#60521] [PATCH] home: Add home-stow-migration-service.

From: Giacomo <[email-masked]>
Date: Mon, 29 Jan 2024 15:23:07 +0100

Hi Ludo' and Sergey,
I'm not sure my previous emails reached you since I sent them to the -done address of the bug. I'm pasting

The code that was reverted was an intentional fix I introduced after trying the latest revision and having my home break :) . I just believe we are not aligned on the requirements. Ludo': does a tree -a call to your dotfiles directory resemble what is documented in the manual?

We either need to change the manual or the code, I don't have a clear preference . At this point I'm just happy this is in Guix but right now the manual matches Stow's usual directory layout. The code in this state contradicts the documentation and does not take into account the additional "git" directory given dotfiles directory that looks like this:

 tree -a dotfiles/
dotfiles/
└── git
 └── .gitconfig

2 directories, 1 file

this is [0] the layout that is documented in the manual, that Stow suggests and that I'm trying to implement. If you have something else in mind could you please share your layout?

Thank you

giacomo

[0]: https://gitlab.com/orang3/guix-home/-/tree/main/fishinthecalculator/etc